import type { Config } from '../types';
/**
 * 获取用户自定义配置
 *
 * @template T Type of config
 * @param cwd 当前目录, 默认`process.cwd()`
 * @param cfgFiles 配置文件名列表, 默认`['project.config.js']`
 * @param ignoreNodeEnv 忽略 `NODE_ENV` 检查，默认会判断 `NODE_ENV` 为 `development` 时才读取本地配置
 * @returns
 */
declare function getUserConfig<T = Config>(cwd?: string, cfgFiles?: string[], ignoreNodeEnv?: boolean): Partial<T> | undefined;
export default getUserConfig;
