"use strict";

var __importDefault = this && this.__importDefault || function (mod) {
  return mod && mod.__esModule ? mod : {
    "default": mod
  };
};
Object.defineProperty(exports, "__esModule", {
  value: true
});
const config_1 = __importDefault(require("../config"));
const copyPkgs_1 = __importDefault(require("./copyPkgs"));
/**
 * copy-node-modules没处理本地文件依赖形式npm包，手动复制本地依赖包.
 *
 * @param src 源目录.
 * @param target 目标目录.
 * @param pkgs Package json dependencies, 如
 * [
 *  { name: 'mini-ali-ui', version: '1.3.8' },
 *  { name: '@babel/runtime', version: '7.14.8' },
 *  { name: 'regenerator-runtime', version: '0.13.9' }
 * ]
 */
function copyLocalDeps(src, target, pkgs) {
  (0, copyPkgs_1.default)(src, target, pkgs, config_1.default.localPkgs);
}
exports.default = copyLocalDeps;