"use strict";

var __importDefault = this && this.__importDefault || function (mod) {
  return mod && mod.__esModule ? mod : {
    "default": mod
  };
};
Object.defineProperty(exports, "__esModule", {
  value: true
});
const path_1 = __importDefault(require("path"));
const copy_node_modules_1 = __importDefault(require("copy-node-modules"));
const config_1 = __importDefault(require("../config"));
const logging_1 = __importDefault(require("../utils/logging"));
const copyLocalDeps_1 = __importDefault(require("./copyLocalDeps"));
/**
 * 复制package.json中dependencies依赖到构建输出目录.
 *
 * @param src Source directory containing package.json file.
 * @param dest Destination directory to copy modules to (modules will be copied to `dest/node_modules` directory).
 * @returns
 */
function copyNodeModules(src, dest) {
  logging_1.default.log('copy dependencies from', path_1.default.relative(config_1.default.projectRoot, path_1.default.resolve(src, 'node_modules')), 'to', path_1.default.relative(config_1.default.projectRoot, path_1.default.resolve(dest, 'node_modules')));
  return new Promise((resolve, reject) => {
    (0, copy_node_modules_1.default)(src, dest, {
      devDependencies: false
    }, (err, pkgs) => {
      if (err) {
        reject(err);
        return;
      }
      (0, copyLocalDeps_1.default)(src, dest, pkgs);
      resolve();
    });
  });
}
exports.default = copyNodeModules;