import type { Pkg } from 'copy-node-modules';
/**
 * copy-node-modules没处理本地文件依赖形式npm包，手动复制本地依赖包.
 *
 * @param src 源目录.
 * @param target 目标目录.
 * @param pkgs Package json dependencies, 如
 * [
 *  { name: 'mini-ali-ui', version: '1.3.8' },
 *  { name: '@babel/runtime', version: '7.14.8' },
 *  { name: 'regenerator-runtime', version: '0.13.9' }
 * ]
 * @param localPkgs 本地依赖包数组.
 */
declare function copyPkgs(src: string, target: string, pkgs: Pkg[], localPkgs?: string[]): void;
export default copyPkgs;
