/**
 * 复制package.json中dependencies依赖到构建输出目录，可用于小程序开发者工具单独打开构建输出目录。
 * 如果不传递src和dest参数，以项目根目录作为src，复制依赖到小程序miniprogramRoot和pluginRoot目录。
 * 注：依赖包被复制到目标目录下的`node_modules`目录中而不是直接放到目标目录下，复制前会删除目标目录下的`node_modules`。
 *
 * @param src Source directory containing package.json file.
 * @param dest Destination directory to copy modules to (modules will be copied to `dest/node_modules` directory).
 * @param clean 是否在复制前删除`dest/node_modules`, 默认`true`.
 * @returns
 */
declare function copyDeps(src?: string, dest?: string, clean?: boolean): Promise<void>;
export default copyDeps;
