"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
/**
 * `require` alias function.
 * 注意：传递绝对路径模块路径，相对路径会相对于`dynamicRequire`文件所在路径，可能跟预期不一样.
 * 可以使用`require.resolve`解析相对路径为绝对路径.
 * 不依赖任何外部模块，主要用于统一处理eslint错误。
 *
 * @template T Type of module to be required.
 * @param modulePath module path.
 * @returns 模块绝对路径.
 */
function dynamicRequire(modulePath) {
  // error  Require statement not part of import statement  @typescript-eslint/no-var-requires
  // error  A `require()` style import is forbidden         @typescript-eslint/no-require-imports
  // eslint-disable-next-line @typescript-eslint/no-var-requires, @typescript-eslint/no-require-imports
  return require(modulePath); // eslint-disable-line import/no-dynamic-require, global-require
  // error  Calls to require() should use string literals
  // error  Unexpected require()
}

exports.default = dynamicRequire;