"use strict";

var __importDefault = this && this.__importDefault || function (mod) {
  return mod && mod.__esModule ? mod : {
    "default": mod
  };
};
Object.defineProperty(exports, "__esModule", {
  value: true
});
const fs_1 = __importDefault(require("fs"));
const path_1 = __importDefault(require("path"));
/**
 * 解析小程序项目配置`mini.project.json`为JSON对象.
 *
 * @param miniProjectPath `mini.project.json`路径或者`projectRoot`项目根目录,
 * 如果为目录继续在目录中查找`mini.project.json`, 默认`process.cwd()`.
 * @returns
 */
function getMiniProject(miniProjectPath = process.cwd()) {
  let miniProject;
  if (!fs_1.default.existsSync(miniProjectPath)) {
    return miniProject;
  }
  const stat = fs_1.default.statSync(miniProjectPath);
  // projectRoot directory
  if (stat.isDirectory()) {
    miniProjectPath = path_1.default.join(miniProjectPath, 'mini.project.json');
  }
  if (fs_1.default.existsSync(miniProjectPath)) {
    // 使用fs读取文件内容，防止`require`缓存
    miniProject = JSON.parse(fs_1.default.readFileSync(miniProjectPath, 'utf-8'));
  }
  return miniProject;
}
exports.default = getMiniProject;