"use strict";

var __importDefault = this && this.__importDefault || function (mod) {
  return mod && mod.__esModule ? mod : {
    "default": mod
  };
};
Object.defineProperty(exports, "__esModule", {
  value: true
});
const fs_1 = __importDefault(require("fs"));
const path_1 = __importDefault(require("path"));
/**
 * 解析 `package.json` 为 JSON 对象
 *
 * @param pkgJsonDirOrPath `package.json` 路径或者包含 `package.json` 的目录
 * @returns
 */
function getPkgJson(pkgJsonDirOrPath) {
  if (!fs_1.default.existsSync(pkgJsonDirOrPath)) {
    throw new Error(`${pkgJsonDirOrPath} not exist`);
  }
  const stat = fs_1.default.statSync(pkgJsonDirOrPath);
  if (stat.isDirectory()) {
    pkgJsonDirOrPath = path_1.default.join(pkgJsonDirOrPath, 'package.json');
  }
  if (!fs_1.default.existsSync(pkgJsonDirOrPath)) {
    throw new Error(`${pkgJsonDirOrPath} not exist`);
  }
  const pkgJson = JSON.parse(fs_1.default.readFileSync(pkgJsonDirOrPath, 'utf-8'));
  return pkgJson;
}
exports.default = getPkgJson;