import type typescript from 'typescript';
/**
 * 解析`tsconfig.json`为JSON对象, tsconfig.json为json5格式不能用JSON.parse解析, json5支持注释.
 *
 * @param tsConfigPath `tsconfig.json`路径或者`projectRoot`项目根目录,
 * 如果为目录继续在目录中查找`tsconfig.json`, 默认`process.cwd()`.
 * @returns
 * @see https://www.typescriptlang.org/tsconfig/
 */
declare function getTsConfig(tsConfigPath?: string): {
    compilerOptions?: typescript.CompilerOptions | undefined;
    files?: string[] | undefined;
    include?: string | string[] | undefined;
    exclude?: string[] | undefined;
} | undefined;
export default getTsConfig;
