/**
 * ts `__importDefault` function.
 *
 * @template M Type of module.
 * @param mod origin module.
 * @returns default module format `{ default: mod }`.
 *
 * ```ts
 * var __importDefault = (this && this.__importDefault) || function (mod) {
 *   return (mod && mod.__esModule) ? mod : { "default": mod };
 * };
 * ```
 */
declare function importDefault<M = unknown>(mod: {
    __esModule?: boolean;
} & M): {
    default: M;
};
export default importDefault;
