/**
 * 将源对象和目标对象合并, 如果值为对象进行深度合并如果为数组进行赋值覆盖不拼接.
 *
 * @param target 目标对象.
 * @param source 源对象.
 * @param keys 给定source keys，如果未提供则获取源对象keys.
 * @returns 目标对象.
 */
declare function merge(target: Record<string, unknown>, source: Record<string, unknown>, keys?: string[]): Record<string, unknown>;
/**
 * 设定目标对象默认值, 只有当源对象key在目标对象中不存在时才赋值给目标对象,
 * 如果源对象和目标对象相同key都为对象，则递归调用处理默认值.
 *
 * @param target 目标对象.
 * @param source 源对象.
 * @returns 目标对象.
 */
declare function mergeDefault(target: Record<string, unknown>, source: Record<string, unknown>): Record<string, unknown>;
export default merge;
export { mergeDefault };
