import tar from 'tar';
declare type PackOption = Parameters<typeof tar.create>[0] & {
    sync?: true;
};
/**
 * 打包构建输出目录为压缩文件，默认读取`package.json`中`name`作为压缩文件名输出到项目根目录。
 *
 * @param opts 打包选项，`name`打包名，可为绝对路径名或者文件basename，可带后缀名或者不带，如果不带默认`.tgz`，默认按照`package.json`中`name`字段作为压缩文件名。
 * `cwd` 打包的基目录，默认`config.outputDir`，建议绝对路径。
 * @param fileList 打包的文件或者目录列表，默认`['.']`，即打包基目录下所有文件和子目录。
 * @param callback 透传给`tar`，用于异步回调。
 */
declare function pack(opts?: {
    name?: string;
} & PackOption, fileList?: readonly string[], callback?: (err?: Error) => void): void;
export default pack;
